#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License, Version 1.0 only
# (the "License").  You may not use this file except in compliance
# with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
# ident	"%Z%%M%	%I%	%E% SMI"
#
# Class action script for ipsecalgs class files.
#
# This script appends the input file from the package to the 
# /etc/inet/ipsecalgs file.
#

pkg_start="# Start $PKGINST"
pkg_end="# End $PKGINST"
confile=/etc/inet/ipsecalgs
tmpfile=/tmp/$$ipsecalgs
error=no
 
while read src dest
do
	[ "$src" = /dev/null ] && continue

	if [ -f "$dest" ]
	then
		# If the package has been already installed, remove old entries
		grep "$pkg_start" $dest > /dev/null
		if [ $? -eq 0 ]
		then
			sed -e "/$pkg_start/,/$pkg_end/d" $dest > $tmpfile \
			|| error=yes
		else
			cp $dest $tmpfile || error=yes
		fi

		# Append the delimiters and entries of this package 
		echo "$pkg_start" >> $tmpfile || error=yes
		cat $src >> $tmpfile || error=yes
		echo "$pkg_end" >> $tmpfile || error=yes
    
		# Install the updated config file and clean up the tmp file
                if [ "$error" = no ]
                then 
			mv $tmpfile $dest || error=yes
		fi
		rm -f $tmpfile   
	else
		echo "$0: ERROR - the $confile file doesn't exist."
		exit 2
	fi
done

if [ "$error" = yes ]
then
	echo "$0: ERROR - failed to update the $confile file."
	exit 2
fi
exit 0